# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::Range Class Reference

Range type. More...

`#include <arrays.h>`

List of all members.

## Public Member Functions

- Range (int s, int e)
    Constructor.
- const int First () const
    Returns the start of the range.
- const int Last () const
    Returns the end point of the range.

## Private Attributes

- int m_fst
- int m_lst

## Detailed Description

Range type encapsulating a closed range of values [first,last]. Used to initialies OneDArrays.

## Constructor & Destructor Documentation

dirac::Range::Range | ( | int | s,
|  | int | e |
| ) |  |  | `[inline]`

Constructor taking a start and an end point for the range.

## Member Function Documentation

const int dirac::Range::First | ( |  | ) | const`[inline]`

const int dirac::Range::Last | ( |  | ) | const`[inline]`

## Member Data Documentation

int dirac::Range::m_fst`[private]`

int dirac::Range::m_lst`[private]`

The documentation for this class was generated from the following file:

- arrays.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.